Get Transaction Detail
GET
/api/v1/wallets/{address}/transactions/{tx_hash}
const url = 'https://api.qeychain.xyz/api/v1/wallets/example/transactions/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.qeychain.xyz/api/v1/wallets/example/transactions/exampleGet detailed information for a single transaction.
Response includes:
- Full transaction data
- All lots affected (consumed and created)
- Tax impact (realized G/L if applicable)
- Complete lineage information
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Address
string
tx_hash
required
Tx Hash
string
Query Parameters
Section titled “Query Parameters”owned_wallets
Any of:
Array<string>
null
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Get Transaction Detail Api V1 Wallets Address Transactions Tx Hash Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}